<?php
/* 
This file is part of HeatMap Theme AdAptive
See license.txt (distributed with this file) for details of
license, contributors, copyright notices, credits and trademarks.
*/

// GLOBAL OPTION OVERRIDES - STICK EM IN YOUR CUSTOM TEMPLATES FOR EASY OVERRIDES!
/*-----------------------------------------------------------------------------------*/

global $heatmapthemead_options_override;

// Use theme_layout with the following values:
// 'content' - full width content / no sidebars
// 'primary-sidebar-content' - Primary sidebar on left with content on right
// 'both-sidebars' - Both primary and secondary sidebars showing with content in center
// 'content-secondary-sidebar' - Content with secondarly sidebar on the right

$heatmapthemead_options_override = array (	'theme_layout' => NULL, 
											'max_width' => NULL,
											'color_scheme' => NULL,
											'color_scheme_path' => NULL,
											'page_meta' => NULL,
											'force_heading_h1_h2' => NULL,
											'post_inline_widget_displayed' => NULL,	
											'post_incontent_widget_displayed' => NULL,
											'post_below_widget_displayed' => NULL,
											'blog_posts_displayed' => NULL,	
										);

// HEADER IMAGE SIZE
/*-----------------------------------------------------------------------------------*/
define ("HMTA_HEADER_IMAGE_WIDTH", "300");
define ("HMTA_HEADER_IMAGE_HEIGHT", "70");
								
// MAKE A CONSTANT FOR NEW LINE 
/*-----------------------------------------------------------------------------------*/
define ("HMTA_NL", "\n");

// LINK URLS
/*-----------------------------------------------------------------------------------*/
define ("HMTA_HEATMAPTHEME_COM_URL", "http://heatmaptheme.com");
define ("HMTA_UPGRADE_URL", "http://heatmaptheme.com/heatmap-adaptive-pro-upgrade");
define ("HMTA_COLOUR_UPGRADE_URL", "http://heatmaptheme.com/heatmap-adaptive-colour-schemes");
define ("HMTA_USER_GUIDE_URL", "http://heatmaptheme.com/heatmap-adaptive-user-guide");
define ("HMTA_SUPPORT_URL", "http://heatmaptheme.com/heatmap-adaptive-support");
define ("HMTA_RESPONSIVE_ADS_URL", "http://heatmaptheme.com/how-to-make-ads-responsive");
define ("HMTA_PRO_USER_GUIDE_URL", "http://heatmaptheme.com/heatmap-adaptive-pro-user-guide");
define ("HMTA_PRO_SUPPORT_URL", "http://heatmaptheme.com/heatmap-adaptive-pro-support");
define ("HMTA_PRO_COLOUR_UPGRADE_URL", "http://heatmaptheme.com/heatmap-adaptive-pro-colour-schemes");

// MISC URLS
/*-----------------------------------------------------------------------------------*/
define ("HMTA_TWITTER_LIKE_URL", "https://twitter.com/share");
?>