<?php
/*
Plugin Name: Click Missile Ads Plugin
Plugin URI: http://heatmaptheme.com
Description: The Ulitimate WordPress ads placement plugin. Strategically target your ads and adsense on WordPress with Click Missile's advanced ad widget and lazer precise in-content placement. Super snazzy mobile and tablet device detection switches ads when your site is viewed on a smart phone or tablet. Brought to you by HeatMapTheme.com, home to one of the most popular adsense themes on the Net!
Version: 4.0.1
Author: HeatMap Theme
Author URI: http://heatmaptheme.com
 
Copyright Stuart Wider / StuartCindy Art

The name 'HeatMap Theme' and the 'notched circle and flame' logo 
are registered tradmarks of StuartCindy Art and may not be used
without the express written permission of the trademark owner.
*/
global $cmam_ad_repeat_count;
$cmam_ad_repeat_count = 0;
global $cmam_previous_id;
$cmam_previous_id = 0;

load_plugin_textdomain( 'cmamtx', false, dirname( plugin_basename( __FILE__ ) ) . '/languages/' );

define( 'CMAM_PATH', plugin_dir_path(__FILE__) );
define( 'CMAM_IMAGES_URL', plugins_url( '/images/' , __FILE__ ) );

/* INCLUDE THE VARIOUS PARTS OF THE PLUGIN
--------------------------------------------------------------------------------------------- */

require CMAM_PATH . 'Mobile_Detect.php';
require CMAM_PATH . 'cmam-is-mobile.php';
require CMAM_PATH . 'cmam-options.php';
require CMAM_PATH . 'cmam-widget-postions.php';
require CMAM_PATH . 'cmam-shortcodes.php';
require CMAM_PATH . 'cmam-widgets.php';
require CMAM_PATH . 'cmam-post-types.php';
require CMAM_PATH . 'cmam-meta-boxes.php';


/* SET UP ICONS IN ADMIN
--------------------------------------------------------------------------------------------- */

function cmam_icon() {
	global $post_type;
	?>
	<style>
		.cmam_ads_page_cmam-options #icon-edit { background:transparent url('<?php echo CMAM_IMAGES_URL . '/cmam-icon.png';?>') no-repeat; }	
		<?php if ($post_type == 'cmam_ads') : ?>
			#icon-edit { background:transparent url('<?php echo CMAM_IMAGES_URL . '/cmam-icon.png';?>') no-repeat; }	
		<?php endif; ?>
		#adminmenu #menu-posts-cmam_ads div.wp-menu-image{background:transparent url('<?php echo CMAM_IMAGES_URL;?>/cmam-icon-small.png') no-repeat;}
		#adminmenu #menu-posts-cmam_ads:hover div.wp-menu-image,#adminmenu #menu-posts-gallery.wp-has-current-submenu div.wp-menu-image{background:transparent url('<?php echo CMAM_IMAGES_URL;?>/cmam-icon-small-hover.png') no-repeat;}
		#cmam_links .inside { background: right top transparent url('<?php echo CMAM_IMAGES_URL . '/heatmap-metabox-bg-logo.png';?>') no-repeat; }	
    </style>
    <?php
}
add_action('admin_head', 'cmam_icon');

/* GET PLUGIN VERSION
--------------------------------------------------------------------------------------------- */
// thanks to Gary Jones for this snippet http://code.garyjones.co.uk
function cmam_plugin_get_version() {
	if ( ! function_exists( 'get_plugins' ) )
		require_once( ABSPATH . 'wp-admin/includes/plugin.php' );
	$plugin_folder = get_plugins( '/' . plugin_basename( dirname( __FILE__ ) ) );
	$plugin_file = basename( ( __FILE__ ) );
	return $plugin_folder[$plugin_file]['Version'];
}


/* ENQUEUE JS AND CSS
--------------------------------------------------------------------------------------------- */

function cmam_add_js () {
	wp_enqueue_script ('cmam-adscript',  plugins_url( '/js/cmam-adscript.js' , __FILE__ ), '', NULL);
}

function cmam_add_stylesheet() {
	wp_register_style( 'cmam-style', plugins_url('css/cmam.css', __FILE__), '', NULL );
	wp_enqueue_style( 'cmam-style' );
}

if ( !is_admin () ) add_action( 'wp_enqueue_scripts', 'cmam_add_js' );
if ( !is_admin () ) add_action( 'wp_enqueue_scripts', 'cmam_add_stylesheet' );

function cmam_add_stylesheet_to_admin( $page ) {
	if ($page != 'cmam_ads_page_cmam-options') return;
	wp_enqueue_style( 'cmam-style-admin', plugins_url('css/cmam-style-admin.css', __FILE__) );
}

add_action( 'admin_enqueue_scripts', 'cmam_add_stylesheet_to_admin' );
?>