<?php
// LIKE BUTTONS
/*-----------------------------------------------------------------------------------*/

if ( ! function_exists( 'heatmapthemeap_like_buttons' ) ):

	function heatmapthemeap_like_buttons() {
		
		$options = heatmapthemead_get_theme_options();
		
		if (($options['twitter_like'] == 'on') || ($options['facebook_like'] == 'on') || ($options['googleplusone_like']) == 'on') {
		
			print '<p class="heatmapthemead-like-button-text">';
			_e ('Enjoyed this post? Share it!','heatmapthemeap');
			print '</p>';
			print '<div class="heatmapthemead-like-buttons">';
				print '<ul>';

					if ($options['facebook_like'] == 'on') { print '<li><div class="fb-like"  data-href="'; print the_permalink(); print '" data-send="false" data-layout="button_count" data-width="450" data-show-faces="true" data-font="arial"></div></li>'; }
						
					if ($options['twitter_like'] == 'on') { print '<li><a href="' . HMTA_TWITTER_LIKE_URL . '" data-url="'; print the_permalink(); print '" data-text="'; print the_title(); print '" class="twitter-share-button" data-dnt="true">Tweet</a></li>'; }
					
					if ($options['googleplusone_like'] == 'on') { print '<li><div class="g-plusone" data-size="tall" data-href="'; print the_permalink(); print '" data-annotation="none"></div></li>'; }
					
				print '</ul>';
			print '</div> <!--#heatmapthemead-like-buttons -->';
		 	print '<div class="heatmapthemead-like-buttons-clear">&nbsp;</div>'; // yes I know its messy but it works!
		}
	}

endif; // heatmapthemeap_like_buttons


// HEAD SCRIPTS
/*-----------------------------------------------------------------------------------*/

if ( ! function_exists( 'heatmapthemeap_post_head_setup' ) ):

	function heatmapthemeap_post_head_setup () { 
	
		$options = heatmapthemead_get_theme_options();
		
		// output HEAD SCRIPTS from options	
		if ( isset ($options['head_scripts']) && ($options['head_scripts'] != '') ) {
			print '<!-- HEAD Scripts -->' . HMTA_NL; 
			print  $options['head_scripts'] . HMTA_NL; 
			print HMTA_NL;		
		}
		
		// output HEAD CSS from options	
		if ( isset ($options['css_scripts']) && ($options['css_scripts'] != '') ) {
			print '<!-- HEAD CSS -->' . HMTA_NL;
			print '<style>'; 
			print  $options['css_scripts'] . HMTA_NL;
			print '</style>';
			print HMTA_NL;		
		}
	}

endif; // heatmapthemeap_post_head_setup


/* END OF BODY SCRIPTS
----------------------------------------------- */

if ( ! function_exists( 'heatmapthemeap_end_body_setup' ) ):
	
	function heatmapthemeap_end_body_setup () {
		
		$options = heatmapthemead_get_theme_options();
		
		if ( isset ($options['footer_scripts']) ) {
			print '<!-- END BODY Scripts -->' . HMTA_NL; 
			print  $options['footer_scripts'] . HMTA_NL; 
			print HMTA_NL;		
		}
	}

endif; // heatmapthemeap_end_body_setup
?>