<?php
/* 
This file is part of HeatMap Theme AdAptive
See license.txt (distributed with this file) for details of
license, contributors, copyright notices, credits and trademarks.
*/

get_header();	

// CONTENT HOOK
add_action('heatmapthemead_the_content_hook', 'heatmapthemead_the_loop');
	
	// THE LOOP HOOK
	add_action('heatmapthemead_the_loop_hook', 'heatmapthemead_single_post');
		// SINGLE POSTS HOOK
		add_action('heatmapthemead_single_posts_hook', 'heatmapthemead_widget_position_blogabove');
		add_action('heatmapthemead_single_posts_hook', 'heatmapthemead_widget_position_postinline');
		add_action('heatmapthemead_single_posts_hook', 'heatmapthemead_single_post_header');
		add_action('heatmapthemead_single_posts_hook', 'heatmapthemead_posted_on');
		add_action('heatmapthemead_single_posts_hook', 'heatmapthemead_featured_image');
		add_action('heatmapthemead_single_posts_hook', 'heatmapthemead_widget_position_postincontent');
		add_action('heatmapthemead_single_posts_hook', 'heatmapthemead_the_content');
		add_action('heatmapthemead_single_posts_hook', 'heatmapthemead_like_buttons');
		add_action('heatmapthemead_single_posts_hook', 'heatmapthemead_article_meta');
		add_action('heatmapthemead_single_posts_hook', 'heatmapthemead_widget_position_postbelow');
		add_action('heatmapthemead_single_posts_hook', 'heatmapthemead_comments');
		
	// POST LOOP HOOK
	add_action('heatmapthemead_the_post_loop_hook', 'heatmapthemead_the_loop_errors');
	
add_action('heatmapthemead_the_content_hook', 'heatmapthemead_widget_position_blogbelow');
add_action('heatmapthemead_the_content_hook', 'heatmapthemead_content_nav');
	
get_sidebar();
get_footer();

get_template_part( 'unhook' );
get_template_part( 'unhook-custom' );
get_template_part( 'render' );
?>