<?php
/* 
HeatMap Theme(r) ClickMissile Ads
http://heatmaptheme.com

The name 'HeatMap Theme' and the 'notched circle and flame' logo 
are registered tradmarks of StuartCindy Art and may not be used
without the express written permission of the trademark owner.
*/

function cmam_is_mobile () {

	$mobile_class_detect = new Mobile_Detect;

	$mobile_detect = false;
	
	$options = get_option( 'cmam_options' );
	
	if (isset ( $options['debug_mobile_ads'] ) ) {
		$debug_mobile_ads = $options['debug_mobile_ads'];
	}
	else {
		$debug_mobile_ads = 'off';
	}
	
	if (($debug_mobile_ads == 'on') && is_user_logged_in() && current_user_can( 'manage_options' )) {
		$mobile_detect = true;	
		return $mobile_detect;
	}
	else {
		if( $mobile_class_detect->isMobile() && !$mobile_class_detect->isTablet() ){
			$mobile_detect = true;
			return $mobile_detect;
		}
	}
}


function cmam_is_tablet () {

	$tablet_class_detect = new Mobile_Detect;

	$tablet_detect = false;
	
	$options = get_option( 'cmam_options' );
	
	if (isset ( $options['debug_tablet_ads'] ) ) {
		$debug_tablet_ads = $options['debug_tablet_ads'];
	}
	else {
		$debug_tablet_ads = 'off';
	}
	
	if (($debug_tablet_ads == 'on') && is_user_logged_in() && current_user_can( 'manage_options' )) {
		$tablet_detect = true;	
		return $tablet_detect;
	}
	else {
		if( $tablet_class_detect->isTablet() ){
			$tablet_detect = true;
			return $tablet_detect;
		}
	}
}

?>