<?php 
/* 
HeatMap Theme(r) ClickMissile Ads
http://heatmaptheme.com

Copyright Stuart Wider / StuartCindy Art

The name 'HeatMap Theme' and the 'notched circle and flame' logo 
are registered tradmarks of StuartCindy Art and may not be used
without the express written permission of the trademark owner.
*/

define( 'DEMO_ADS_URL', plugins_url( '/images/demo-ads/' , __FILE__ ) );

/* ROTATE AND NOCACHE THE ADS
--------------------------------------------------------------------------------------------- */

if (!function_exists('cmam_display_rotated_ad')):
function cmam_display_rotated_ad($output) {

	$output = cmam_demo_ad ($output); /*check for demo ads*/
	
	if (strpos($output, "[ROTATE]") !== FALSE) {
		if (strpos($output, "[NOCACHE]") !== FALSE) {
			$output=str_replace("[NOCACHE]","",$output);
			$output=str_replace("\r\n","&nl;",$output);
			$output=str_replace("\n","&nl;",$output);
			$output=str_replace("\\","\\\\",$output);
			$output=str_replace("'","&qut;",$output);
			$output=str_replace("<","&lt;",$output);
			$output=str_replace(">","&gt;",$output);
			$ad_arr=explode("[ROTATE]",$output);
			$output=implode("','",$ad_arr);
			$ran=rand(7,77);
			return "\n<script type='text/javascript'>\n ad".$ran." = ['".$output."']; \n  document.write(rotate_ad(ad".$ran.")); \n </script>\n";
		}
		else
		{
			$ad_arr=explode("[ROTATE]",$output);
			return $ad_arr[ rand(1,count($ad_arr)) -1 ];
		}
	}
	else
	{
		return $output;
	}
}
endif;


/* SHOW DEMO ADS
--------------------------------------------------------------------------------------------- */

if (!function_exists('cmam_demo_ad')):
function cmam_demo_ad ($output) {
	
	switch ($output) {
    case '[120x240]':
        $output = '<img src="' . DEMO_ADS_URL . '120x240.png"  width="120" height="240"/>';
        break;
		
	case '[120x600]':
		$output = '<img src="' . DEMO_ADS_URL . '120x600.png"  width="120" height="600"/>';
		break;

	case '[728x15]':
		$output = '<img src="' . DEMO_ADS_URL . '728x15link.png"  width="728" height="15"/>';
		break;	
		
	case '[468x15]':
		$output = '<img src="' . DEMO_ADS_URL . '468x15link.png"  width="468" height="15"/>';
		break;	
		
	case '[120x90]':
		$output = '<img src="' . DEMO_ADS_URL . '120x90link.png"  width="120" height="90"/>';
		break;		

	case '[125x125]':
		$output = '<img src="' . DEMO_ADS_URL . '125x125.png"  width="125" height="125"/>';
		break;		
		
	case '[160x600]':
		$output = '<img src="' . DEMO_ADS_URL . '160x600.png"  width="160" height="600"/>';
		break;
		
	case '[160x90]':
		$output = '<img src="' . DEMO_ADS_URL . '160x90link.png"  width="160" height="90"/>';
		break;
		
	case '[180x150]':
		$output = '<img src="' . DEMO_ADS_URL . '180x150.png"  width="180" height="150"/>';
		break;
		
    case '[180x90]':
        $output = '<img src="' . DEMO_ADS_URL . '180x90link.png"  width="180" height="90"/>';
        break;
		
	case '[200x200]':
		$output = '<img src="' . DEMO_ADS_URL . '200x200.png"  width="200" height="200"/>';
		break;
		
	case '[200x90]':
		$output = '<img src="' . DEMO_ADS_URL . '200x90link.png"  width="200" height="90"/>';
		break;		

	case '[234x60]':
		$output = '<img src="' . DEMO_ADS_URL . '234x60.png"  width="234" height="60"/>';
		break;		

	case '[250x250]':
		$output = '<img src="' . DEMO_ADS_URL . '250x250.png"  width="250" height="250"/>';
		break;	
		
	case '[300x250]':
		$output = '<img src="' . DEMO_ADS_URL . '300x250.png"  width="300" height="250"/>';
		break;
		
	case '[320x50]':
		$output = '<img src="' . DEMO_ADS_URL . '320x50.png"  width="320" height="50"/>';
		break;
		
	case '[336x280]':
		$output = '<img src="' . DEMO_ADS_URL . '336x280.png"  width="336" height="280"/>';
		break;
		
	case '[468x60]':
		$output = '<img src="' . DEMO_ADS_URL . '468x60.png"  width="468" height="60"/>';
		break;			

	case '[728x90]':
		$output = '<img src="' . DEMO_ADS_URL . '728x90.png"  width="728" height="90"/>';
		break;		
		
	case '[645x90]':
		$output = '<img src="' . DEMO_ADS_URL . '645x90.png"  width="645" height="90"/>';
		break;													
	}
	return $output;
	
}
endif;


/* ADD THE SHORTCODES TO WORDPRESS
--------------------------------------------------------------------------------------------- */

// MANUALLY ADDED SHORTCODES (CMADS)
add_shortcode( 'cmamad', 'cmam_process_ad_shortcode' );

function cmam_process_ad_shortcode( $atts ) {
	extract( shortcode_atts( array(
		'id' => '',
		'align' => 'none',
		'tabid' => '',
		'mobid' => '',
	), $atts ) );
	if($id=='')
		return '';
	else
		return cmam_generate_adbox(array('id'=>$id, 'align'=>$align, 'tabid'=>$tabid, 'mobid'=>$mobid ));
}

// AUTOMATICALLY INSERTED SHORTCODES (IN-CONTENT POSITIONS)
add_shortcode( 'cmamtop', 'cmam_widget_position_cmamtop' );
add_shortcode( 'cmampos1', 'cmam_widget_position_cmampos1' );
add_shortcode( 'cmampos2', 'cmam_widget_position_cmampos2' );
add_shortcode( 'cmampos3', 'cmam_widget_position_cmampos3' );
add_shortcode( 'cmambottom', 'cmam_widget_position_cmambottom' );


/* REMOVE SHORTCODES FROM EXCERPTS
--------------------------------------------------------------------------------------------- */

function cmam_remove_shortcode($content)
{
	$regex = '/\[cmamad\s*.*?\]/i';
	preg_match_all( $regex, $content, $matches );
	foreach($matches[0] as $match)
	{ 
		$content = str_replace($match, '', $content);
	}
	return $content;
}

function cmam_remove_shortcode_fromContent($content)
{

	$content=remove_cmamad_shortcode($content);
	return $content;
}

add_filter('the_excerpt', 'cmam_remove_shortcode');


/* DISPLAY THE 'edit ad' link
--------------------------------------------------------------------------------------------- */

function cmam_generate_adlink( $id, $tabletid, $mobid, $active )
{
	$ad_link = '';
	
	$options = get_option( 'cmam_options' );
	if ( $options['display_edit_links'] != 'on') {
		$ad_link = '';	
		return $ad_link;
	}
	else {
		if (is_user_logged_in() && current_user_can( 'manage_options' )) { // so only display this if we are logged in and have permission to do stuff
			
			$br_displayed = '';
			
			if ($id != 'ad-off') { // if the ad is not switched off in the widget then do something
				if ( $id != '' ) {
					$ad_link = '<br/>'; $br_displayed = true;
					$ad_link .= '<a href="' .site_url() . '/wp-admin/post.php?post=' . $id . '&amp;action=edit" target="_blank"><small>' . __('edit ad','cmamtx');
					if ($active == 'ad') $ad_link .= '*'; // if this is the active ad then asterisk it
					$ad_link .='</small></a>&nbsp;&nbsp;';
				}
			}
			
			if ( ( $tabletid != 'ad-off' ) && ( $tabletid != 'display-desktop' ) )  { // if the ad is not switched off in the widget then do something

				if ($tabletid != '') {
					if ( !$br_displayed ) $ad_link = '<br/>'; $br_displayed = true;
					$ad_link .= '<a href="' .site_url() . '/wp-admin/post.php?post=' . $tabletid . '&amp;action=edit" target="_blank"><small>' . __('edit tablet','cmamtx');
					if ($active == 'tablet') $ad_link .= '*'; // if this is the active ad then asterisk it
					$ad_link .= '</small></a>&nbsp;&nbsp;';
				}
			}
			
			if ( ( $mobid != 'ad-off' ) && ( $mobid != 'display-desktop' ) )  { // if the ad is not switched off in the widget then do something

				if ($mobid != '') {
					if ( !$br_displayed ) $ad_link = '<br/>';
					$ad_link .= '<a href="' .site_url() . '/wp-admin/post.php?post=' . $mobid . '&amp;action=edit" target="_blank"><small>' . __('edit mobile','cmamtx');
					if ($active == 'mobile') $ad_link .= '*'; // if this is the active ad then asterisk it
					$ad_link .= '</small></a>';
				}
			}
			return $ad_link;
		}
	}
}


/* CREATE THE AD READY FOR INJECTION INTO THE CONTENT
--------------------------------------------------------------------------------------------- */

function cmam_generate_adbox($param) { 
	
	if (is_page () || is_single ()) {
		
		$ret='';
		
		$desktop_meta = get_post_meta($param['id']); // this could be the id or the status value
		$tablet_meta = get_post_meta($param['tabid']); // this could be the id or the status value
		$mobile_meta = get_post_meta($param['mobid']); // this could be the id or the status value
		
		if (!cmam_is_mobile() && !cmam_is_tablet() ):
			
			if (empty($desktop_meta)) return; // if there is no valid ad then return;
			
			if ( $param ['id'] != 'ad-off') {

				$ret='<span class="cmamad ';
				if(isset($param['align'])) {
					$ret.="cmamad-".$param['align'];
				}
				else {
					$ret.="cmamad-none";
				}
				$ret.='">' . cmam_display_rotated_ad($desktop_meta['cmam_ads_ad_code_textarea'][0]) . cmam_generate_adlink( $param ['id'], $param ['tabid'], $param ['mobid'], 'ad' ) .  '</span>';
			
				return $ret;
			}
		endif;
		
		if (cmam_is_mobile()):
			if ( $param ['mobid'] != 'ad-off') {
				if ( $param ['mobid'] == 'display-desktop') {
					
					if (empty($desktop_meta)) return; // if there is no valid ad then return
					
					$ret='<span class="cmamad ';
					if(isset($param['align'])) {
						$ret.="cmamad-".$param['align'];
					}
					else {
						$ret.="cmamad-none";
					}
					$ret.='">' . cmam_display_rotated_ad($desktop_meta['cmam_ads_ad_code_textarea'][0]) . cmam_generate_adlink( $param ['id'], $param ['tabid'], $param ['mobid'], 'ad' ) .  '</span>';
				
					return $ret;
				}
				else {
					
					if (empty($mobile_meta)) return;  // if there is no valid ad then return
					
					$ret='<span class="cmamad ';
					$ret.="cmamad-center";
					$ret.='">' . cmam_display_rotated_ad($mobile_meta['cmam_ads_ad_code_textarea'][0]) . cmam_generate_adlink( $param ['id'], $param ['tabid'],  $param ['mobid'], 'mobile' ) .  '</span>';
					return $ret;
				}
			}
		endif;
		
		if (cmam_is_tablet()):
			if ( $param ['tabid'] != 'ad-off') {
				if ( $param ['tabid'] == 'display-desktop') {
					
					if (empty($desktop_meta)) return; // if there is no valid ad then return
					
					$ret='<span class="cmamad ';
					if(isset($param['align'])) {
						$ret.="cmamad-".$param['align'];
					}
					else {
						$ret.="cmamad-none";
					}
					$ret.='">' . cmam_display_rotated_ad($desktop_meta['cmam_ads_ad_code_textarea'][0]) . cmam_generate_adlink( $param ['id'], $param ['tabid'], $param ['mobid'], 'ad' ) .  '</span>';
				
					return $ret;
				}
				else {
					
					if (empty($tablet_meta)) return;  // if there is no valid ad then return
					
					$ret='<span class="cmamad ';
					$ret.="cmamad-center";
					$ret.='">' . cmam_display_rotated_ad($tablet_meta['cmam_ads_ad_code_textarea'][0]) . cmam_generate_adlink( $param ['id'], $param ['tabid'],  $param ['mobid'], 'tablet' ) .  '</span>';
					return $ret;
				}
			}
		endif;
	}
	else return;
}


/* CREATE THE POP UP BOX FOR THE ADS BUTTON
--------------------------------------------------------------------------------------------- */

function cmam_shortcode_box_fun() {
	$cmam_ads_array = cmam_get_the_ads ();
	
	// Dont include the jquery popup box for anything other than pages and posts
	global $post;
	if (!(('post' == $post->post_type) || ('page' == $post->post_type))) // so if its not a page or post dont do anything
		return;
?>
	<table width="100%" cellspacing="0" border="0">
		<tbody>
			<tr>
				<th width="200px" align="left" valign="top">
					<?php _e("Desktop ad",'cmamtx'); ?>
				</th>
				<td valign="top">
					<select id="cmam-shortcode-adid" style=" font-size:11px; width: 180px;">
						<option value="ad-off">- <?php _e('Off','cmamtx') ?> -</option>
						<?php
						foreach ($cmam_ads_array as $ads_option) {
							echo '<option value="'.$ads_option['value'].'">'.$ads_option['label'].'</option>';
						} 
					?>
					</select>
				</td>
			</tr>
			
			<?php
			$cmam_ads_array = cmam_get_the_tablet_ads ();
			?>
			<tr>
				<th width="200px" valign="top" align="left">
					<?php _e("Tablet ad",'cmamtx'); ?>
				</th>
				<td>
					<select id="cmam-shortcode-adtid" style=" font-size:11px; width: 180px;">
						<option value="ad-off">- <?php _e('Off','cmamtx'); ?> -</option>
						<option value="display-desktop">- <?php _e('Display desktop ad','cmamtx'); ?> -</option>
						<?php
						foreach ($cmam_ads_array as $ads_option) {
							echo '<option value="'.$ads_option['value'].'">'.$ads_option['label'].'</option>';
						} 
					?>
					</select>
				</td>
			</tr>
			
			<tr>
				<th valign="top" align="left">
					<?php _e("Alignment",'cmamtx'); ?>
				</th>
				<td valign="top">
					<select id="cmam-shortcode-align" style="font-size:11px;" >
						<option value="none"><?php _e("None",'cmamtx'); ?></option>
						<option value="left"><?php _e("Left",'cmamtx'); ?></option>
						<option value="right"><?php _e("Right",'cmamtx'); ?></option>
						<option value="center"><?php _e("Center",'cmamtx'); ?></option>
						<option value="floatleft"><?php _e("Float Left",'cmamtx'); ?></option>
						<option value="floatright"><?php _e("Float Right",'cmamtx'); ?></option>
					</select>
				</td>
			</tr>
			<?php
			$cmam_ads_array = cmam_get_the_mobile_ads ();
			?>
			<tr>
				<th width="200px" valign="top" align="left">
					<?php _e("Mobile ad",'cmamtx'); ?>
				</th>
				<td>
					<select id="cmam-shortcode-admid" style=" font-size:11px; width: 180px;">
						<option value="ad-off">- <?php _e('Off','cmamtx'); ?> -</option>
						<option value="display-desktop">- <?php _e('Display desktop ad','cmamtx'); ?> -</option>
						<?php
						foreach ($cmam_ads_array as $ads_option) {
							echo '<option value="'.$ads_option['value'].'">'.$ads_option['label'].'</option>';
						} 
					?>
					</select>
				</td>
			</tr>
			<tr>
				<td>
					<input type="button" value="<?php _e("Insert Ad",'cmamtx'); ?>" class="button" onclick="cmam_insert_ad_shortcode()" />
				</td>
			</tr>
		</tbody>
	</table>
<?php
}


/* JQUERY SCRIPTS FOR THE POP UP BOX
--------------------------------------------------------------------------------------------- */

function cmam_ad_shortcode_data()
{
	// Dont include the jquery popup box for anything other than pages and posts
	global $post;
	if (!(('post' == $post->post_type) || ('page' == $post->post_type)))
		return;
?>
<script type="text/javascript">
function cmam_open_ad_shortcode_box()
{
	jQuery( "#cmam_ad_shortcode" ).dialog('open');
}

	jQuery(document).ready(function(){
		// Add the buttons to the HTML view
		jQuery("#ed_toolbar").append('<input type="button" onclick="cmam_open_ad_shortcode_box()" value="CMAM ad" />');		
		
		// jQuery( "#dialog:ui-dialog" ).dialog( "destroy" );
	
		jQuery( "#cmam_ad_shortcode" ).dialog({
			height: 220,
			width: 350,
			modal: true,
			autoOpen: false,
			dialogClass: 'wp-dialog'
			});
		});
		
		
function cmam_insert_ad_shortcode()
{
		text='[cmamad id="'+jQuery('#cmam-shortcode-adid').val()+'" align="'+jQuery('#cmam-shortcode-align')
														.val()+'" tabid="'+jQuery('#cmam-shortcode-adtid')
														.val()+'" mobid="'+jQuery('#cmam-shortcode-admid')
														.val()+'"]';
		if ( typeof tinyMCE != 'undefined' && ( ed = tinyMCE.activeEditor ) && !ed.isHidden() ) {
			ed.focus();
			if (tinymce.isIE)
				ed.selection.moveToBookmark(tinymce.EditorManager.activeEditor.windowManager.bookmark);

			ed.execCommand('mceInsertContent', false, text);
		} else
			edInsertContent(edCanvas, text);
		jQuery( "#cmam_ad_shortcode" ).dialog('close');
}
</script>

	<div id="cmam_ad_shortcode" style="padding:10px; display: none;" title="<?php  _e("Insert Click Missile Ad",'cmamtx'); ?>">
	<?php cmam_shortcode_box_fun(); ?>
	</div>
<?php
}

add_action( 'edit_form_advanced',  'cmam_ad_shortcode_data') ;
add_action( 'edit_page_form',  'cmam_ad_shortcode_data' );


/* ADD BUTTONS TO THE TINYMCE EDITOR
--------------------------------------------------------------------------------------------- */

function cmam_addbuttons() {
   // Don't bother doing this stuff if the current user lacks permissions
   	//if ( ! current_user_can('edit_posts') && ! current_user_can('edit_pages') )
	if ( !current_user_can ( 'manage_options' ) ) return;
 
   // Add only in Rich Editor mode
	if ( get_user_option('rich_editing') == 'true') {
		 add_filter("mce_external_plugins", "add_cmam_tinymce_plugin");
		 add_filter('mce_buttons', 'register_cmam_button');
   	}
}
 
function register_cmam_button($buttons) {
   	array_push($buttons, "separator", "cmam_ad_shortcode");
   	return $buttons;
}

// Load the TinyMCE plugin : cmam-editor_plugin.js 
function add_cmam_tinymce_plugin($plugin_array) {
   	$plugin_array['cmam_ad_shortcode'] = plugins_url( '/tinymce/cmam_editor_plugin.js' , __FILE__ ); 	
    return $plugin_array;
}
 
// init process for button control
add_action('init', 'cmam_addbuttons');
?>